package com.persagy.proxy.adm.constant;

import lombok.Getter;

/**
 * 对象类型
 * @author Charlie Yu
 * @date 2021-06-25
 */
@Getter
public enum AdmObjectType {
    /** 对象类型 */
    PROJECT("project", "项目"),
    BUILDING("building", "楼"),
    FLOOR("floor", "楼层"),
    SPACE("space", "空间"),
    SYSTEM("system", "系统"),
    EQUIPMENT("equipment", "设备"),
    EQUIPMENT_SHORT("Eq", "设备"),
    SHAFT("shaft", "竖井"),
    COMPONENT("component", "部件"),
    VIRTUAL("virtual", "虚拟对象"),
    PROPERTY("property", "资产"),
    TOOL("tool", "工具"),
    MATERIAL("material", "耗材");

    private String index;
    private String name;

    AdmObjectType(String index, String name) {
        this.index = index;
        this.name = name;
    }
}
